<launch>

  <arg name="model" default="$(find human_arm_redundancy_modelling)/urdf/simplified_arm.urdf.xacro"/>
  <arg name="gui" default="true" />
  <arg name="rvizconfig" default="$(find human_arm_redundancy_modelling)/rviz/urdf.rviz" />
  <arg name="rqtmultiplotconfig" default="$(find human_arm_redundancy_modelling)/rqt_plots/rqt_multiplot_redundancies.xml" />
  <arg name="rqtperspective" default="$(find human_arm_redundancy_modelling)/rqt_plots/Default.perspective" />

  <param name="robot_description" command="$(find xacro)/xacro --inorder $(arg model)" />
  <param name="use_gui" value="$(arg gui)"/>

  <node name="robot_state_publisher" pkg="robot_state_publisher" type="robot_state_publisher" respawn="true" output="screen" />

  <!-- Run Rviz -->
  <node name="rviz" pkg="rviz" type="rviz" args="-d $(arg rvizconfig)" required="true" />

  <!-- Run joint_position_publisher.py -->
  <node name="joint_position_publisher" pkg="human_arm_redundancy_modelling" type="joint_position_publisher.py" respawn="true" output="screen"/>

</launch>
